require 'faye-publisher'

module Faye
  class Publisher

    def publish(channel, data)
      self.class.channels[channel] << data
    end

    def self.channels
      @channels ||= Hash.new { |hash, key| hash[key] = [] }
    end

  end
end